#!/bin/sh
# env
# Written in 2019 by Lucas
# CC0 1.0 Universal/Public domain - No rights reserved
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to the
# public domain worldwide. This software is distributed without any
# warranty. You should have received a copy of the CC0 Public Domain
# Dedication along with this software. If not, see
# <http://creativecommons.org/publicdomain/zero/1.0/>.

usage() {
	printf "Usage: %s theme-name [theme-name...]\n" "${0##*/}" >&2
	exit 1
}

make
for theme; do
	if [ ! -f "$theme".in ]; then
		printf "%s: No \"%s.in\" file.\n" "${0##*}" "$theme" >&2
		exit 1
	fi

	./colorscheme <"$theme".in >"$theme".txt
	./colorscheme -i <"$theme".in | pnmtopng >"$theme".png
done
